Subject: Re: bug#10709: Feature request: vc-hg should activate smerge-mode for conflicts

From: Wolfgang Schnerring <[email-masked]>
Date: Sat, 4 Feb 2012 10:46:29 +0100

* Stefan Monnier <[email-masked]> [2012-02-03 14:32]:
> So you're saying that hg uses standard conflict markers in its
> internal:merge code?  Wonderful.

I've just double-checked: yes, it does. Here's an example of a file
with conflicts:

<<<<<<< local
foo = baz
=======
foo = qux
>>>>>>> other

This matches the markers defined in smerge-mode, and invoking
smerge-mode manually on the example file works just fine, just as I
remembered.

> >> Actually I guess vc-hg would need some changes too.
> > Yep, I guess you'd need changes on both ends.
> 
> Apparently only vc-hg.el needs to be changed, then.

Yup, this brings me back to my original chain of thought: vc-hg needs
to learn to detect conflicted files, and the vc-find-file-hook needs
to be ported/abstracted from vc-svn.

Wolfgang